Debian Bug report logs - #586927
live-helper: bootstrap updates not cached

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Michal Suchanek <michal.suchanek@ruk.cuni.cz>

Date: Wed, 23 Jun 2010 15:39:02 UTC

Severity: normal

Found in version live-helper/2.0~a14-1

Fixed in version live-helper/2.0~a16-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, Debian Live Project <debian-live@lists.debian.org>:
Bug#586927; Package live-helper. (Wed, 23 Jun 2010 15:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, Debian Live Project <debian-live@lists.debian.org>. (Wed, 23 Jun 2010 15:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: bootstrap updates not cached
Date: Wed, 23 Jun 2010 17:35:10 +0200
Package: live-helper
Version: 2.0~a14-1
Severity: normal


When the cached bootstrap is out of date the updates for it are
downloaded on every boot, never cached.

P: Executing auto/build script.
P: Executing auto/clean script.
P: Cleaning chroot
rmdir: failed to remove `auto': Not a directory
P: Executing auto/config script.
P: Considering defaults defined in /etc/default/live-helper
/usr/share/live-helper/functions/defaults.sh: eval: line 1182: syntax
error near unexpected token `('
P: Updating config tree
/usr/share/live-helper/functions/defaults.sh: eval: line 1182: syntax
error near unexpected token `('
P: Considering defaults defined in /etc/default/live-helper
P: Updating config tree
P: Setting up cleanup function
P: Begin caching bootstrap stage...
P: Begin bootstrapping system...
W: skipping bootstrap
P: Begin caching bootstrap stage...
P: Begin unmounting filesystems...
P: Setting up cleanup function
P: Begin caching chroot stage...
P: Begin mounting /dev/pts...
P: Begin mounting /proc...
P: Begin mounting /sys...
P: Configuring file /etc/debian_chroot
P: Configuring file /sbin/start-stop-daemon
P: Configuring file /usr/sbin/policy-rc.d
P: Configuring file /usr/sbin/initctl
P: Configuring file /etc/hosts
P: Configuring file /etc/resolv.conf
P: Configuring file /etc/hostname
P: Configuring file /bin/hostname
P: Configuring file /etc/apt/apt.conf
P: Configuring file /etc/apt/sources.list
OK
OK
Get:1 http://ftp.sh.cvut.cz testing Release.gpg [835B]
....
Get:53 http://ftp.sh.cvut.cz experimental/non-free Sources [1148B]
Fetched 38.1MB in 19s (1928kB/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Initializing package states...
Writing extended state information...
Reading task descriptions...
Resolving dependencies...
The following NEW packages will be installed:
  libnfnetlink0{a} 
The following packages will be upgraded:
  base-files cron gcc-4.4-base initscripts iproute iptables libacl1 
  libattr1 libc-bin libc6 libgcc1 liblzma2 libreadline6 libsepol1 
  libsqlite3-0 libssl0.9.8 libstdc++6 libtasn1-3 libusb-0.1-4 libwrap0 
  perl-base readline-common sysv-rc sysvinit sysvinit-utils udev
xz-utils 
27 packages upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 12.0MB of archives. After unpacking 98.3kB will be used.
Writing extended state information...
Get:1 http://debian.sh.cvut.cz squeeze/main base-files 5.7 [64.6kB]
....
Get:28 http://debian.sh.cvut.cz squeeze/main libsqlite3-0 3.6.23.1-4
[366kB]
Preconfiguring packages ...
Fetched 12.0MB in 1s (9746kB/s)
(Reading database ... 8317 files and directories currently installed.)
Preparing to replace base-files 5.6 (using .../base-files_5.7_i386.deb)
....
Unpacking replacement base-files ...
Processing triggers for install-info ...
Processing triggers for man-db ...
Setting up base-files (5.7) ...
(Reading database ... 8317 files and directories currently installed.)
Preparing to replace perl-base 5.10.1-12 (using
..../perl-base_5.10.1-13_i386.deb) ...
Unpacking replacement perl-base ...
Processing triggers for man-db ...
Setting up perl-base (5.10.1-13) ...
(Reading database ... 8317 files and directories currently installed.)
Preparing to replace libc-bin 2.10.2-9 (using
..../libc-bin_2.11.1-3_i386.deb) ...
Unpacking replacement libc-bin ...
Processing triggers for man-db ...
Setting up libc-bin (2.11.1-3) ...
Installing new version of config file /etc/gai.conf ...
(Reading database ... 8317 files and directories currently installed.)
Preparing to replace libc6 2.10.2-9 (using .../libc6_2.11.1-3_i386.deb)
....
Checking for services that may need to be restarted...
Checking init scripts...
Unpacking replacement libc6 ...
Setting up libc6 (2.11.1-3) ...
Checking for services that may need to be restarted...
Checking init scripts...
Nothing to restart.
(Reading database ... 8317 files and directories currently installed.)
Preparing to replace gcc-4.4-base 4.4.4-1 (using
..../gcc-4.4-base_4.4.4-5_i386.deb) ...

....

Unpacking replacement libwrap0 ...
Preparing to replace libsqlite3-0 3.6.23.1-2 (using
..../libsqlite3-0_3.6.23.1-4_i386.deb) ...
Unpacking replacement libsqlite3-0 ...
Processing triggers for man-db ...
Setting up udev (157-1) ...
Installing new version of config file /etc/udev/links.conf ...
Installing new version of config file /etc/udev/udev.conf ...
Installing new version of config file /etc/init.d/udev-mtab ...
A chroot environment has been detected, udev not started.
Setting up cron (3.0pl1-113) ...
Installing new version of config file /etc/init.d/cron ...
insserv: warning: current stop runlevel(s) (1) of script `cron'
overwrites defaults (empty).
All runlevel operations denied by policy
invoke-rc.d: policy-rc.d denied execution of start.
Setting up iproute (20100519-2) ...
Setting up libnfnetlink0 (1.0.0-1) ...
Setting up iptables (1.4.8-1) ...
Setting up libssl0.9.8 (0.9.8o-1) ...
Setting up libtasn1-3 (2.7-1) ...
Setting up libwrap0 (7.6.q-19) ...
Setting up libsqlite3-0 (3.6.23.1-4) ...
Reading package lists...
Building dependency tree...
Reading state information...
Reading extended state information...
Initializing package states...
Writing extended state information...
Reading task descriptions...
Reading package lists...
Building dependency tree...
Reading state information...
Reading extended state information...
Initializing package states...
Reading task descriptions...
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Reading package lists...
Building dependency tree...
Reading state information...
Reading extended state information...
Initializing package states...
Reading task descriptions...
Reading package lists...
Building dependency tree...
Reading state information...
debian-archive-keyring is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Hit http://ftp.sh.cvut.cz testing Release.gpg
....
Hit http://live.debian.net squeeze-snapshots/non-free Sources
Fetched 36.1kB in 7s (4627B/s)
Reading package lists...
P: Configuring file /etc/kernel-img.conf
P: Begin executing preseed...
P: Begin executing local preseeds...
P: Begin installing tasks...
P: Begin queueing installation of packages lists...
P: Begin queueing installation of local packages lists...
P: Begin queueing installation of packages...
P: Begin queueing installation of local packages...
P: Begin installing packages...
Reading package lists...
Building dependency tree...
Reading state information...
Reading extended state information...
Initializing package states...



-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                 1.0.10lenny1 Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  cpio                          2.9-13     GNU cpio -- a program to manage ar
ii  gettext-base                  0.17-4     GNU Internationalization utilities
ii  gnu-fdisk                     1.2-1      Linux fdisk replacement based on l

Versions of packages live-helper suggests:
ii  dosfstools     3.0.1-1                   utilities for making and checking 
ii  fakeroot       1.11                      Gives a fake root environment
ii  genisoimage    9:1.1.10-1                Creates ISO-9660 CD-ROM filesystem
ii  grub           0.97-47lenny2             GRand Unified Bootloader (Legacy v
ii  memtest86      3.5-2.2                   thorough real-mode memory tester
ii  memtest86+     4.00-2.3                  thorough real-mode memory tester
ii  mtools         3.9.11-1                  Tools for manipulating MSDOS files
ii  parted         1.8.8.git.2008.03.24-11.1 The GNU Parted disk partition resi
ii  squashfs-tools 1:3.3-7                   Tool to create and append to squas
ii  syslinux       2:3.86+dfsg-4             utilities for the syslinux bootloa
pn  uuid-runtime   <none>                    (no description available)
pn  win32-loader   <none>                    (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#586927; Package live-helper. (Wed, 23 Jun 2010 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 23 Jun 2010 16:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 586927@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
Cc: 586927@bugs.debian.org
Subject: Re: Bug#586927: live-helper: bootstrap updates not cached
Date: Wed, 23 Jun 2010 18:30:54 +0200
tag 586927 pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 23 Jun 2010 16:33:05 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 24 Jun 2010 00:03:17 GMT) Full text and rfc822 format available.

Notification sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug acknowledged by developer. (Thu, 24 Jun 2010 00:03:17 GMT) Full text and rfc822 format available.

Message #17 received at 586927-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 586927-close@bugs.debian.org
Subject: Bug#586927: fixed in live-helper 2.0~a16-1
Date: Thu, 24 Jun 2010 00:02:26 +0000
Source: live-helper
Source-Version: 2.0~a16-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_2.0~a16-1.diff.gz
  to main/l/live-helper/live-helper_2.0~a16-1.diff.gz
live-helper_2.0~a16-1.dsc
  to main/l/live-helper/live-helper_2.0~a16-1.dsc
live-helper_2.0~a16-1_all.deb
  to main/l/live-helper/live-helper_2.0~a16-1_all.deb
live-helper_2.0~a16.orig.tar.gz
  to main/l/live-helper/live-helper_2.0~a16.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 586927@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 24 Jun 2010 01:49:57 +0200
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 2.0~a16-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 586367 586927
Changes: 
 live-helper (2.0~a16-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Also passing repositories to cgi build jobs.
   * Correcting wrong handling of --rsyncable in defaults autodetection
     of gzip options.
   * Also including url of the webbuilder in its images.
   * Including note where to send feedback to in webmails mail templates.
   * Including build-job in the mail that is sent by the cgi.
   * Silencing copying of parameters.txt in binary_linux-image.
   * Moving chroot exclude mechanisms to one central place in
     binary_chroot helper.
   * Adding nomodeset to failsafe parameters to disable kms.
 .
   [ Richard Nelson ]
   * Cleaned up expression LH_BOOTAPPEND and included = for live-config
     calls.
   * Added : and / to LH_BOOTAPPEND for live-config.hooks calls.
   * LH_BINARY_IMAGES expression cleanup.
   * LH_PACKAGES_LISTS expression cleanup.
   * LH_PACKAGES expression cleanup.
   * LH_ARCHITECTURE expression cleanup.
   * LH_MIRROR_BOOTSTRAP expression cleanup.
   * LH_MIRROR_BINARY expression cleanup.
   * LH_MIRROR_BINARY_SECURITY expression cleanup.
   * LH_CHROOT_FILESYSTEM expression cleanup.
   * LH_LINUX_FLAVOURS expression cleanup.
   * Match encryption param man page and case for expression cleanup on
     l-h.cgi.
   * LH_ENCRYPTION expression cleanup.
   * LH_HOSTNAME expression cleanup.
   * LH_ISO_APPLICATION expression cleanup.
   * LH_ISO_PREPARER expression cleanup.
   * LH_ISO_PUBLISHER expression cleanup.
   * LH_ISO_VOLUME expression cleanup.
   * LH_MEMTEST expression cleanup.
   * LH_NET_ROOT_PATH expression cleanup.
   * LH_NET_ROOT_SERVER expression cleanup.
   * LH_USERNAME expression cleanup and build output cleanup.
   * _CUSTOM_BOOTSTRAP and _CUSTOM_BINARY expression cleanup.
   * Removed hostname from forms and cgi and can be configured with live-
     config.hostname= on bootappend.
   * Removed username from forms and cgi and can be configured with live-
     config.username= on bootappend.
   * Path correction on cgi/cron build file append to mailer.
 .
   [ Daniel Baumann ]
   * Globally using packages cache during runtime of chroot_source
     (Closes: #586927).
   * Removing double implementation of binary_rootfs/excludes.
   * Removing distribution check for assemblink mksquashfs options in
     binary_rootfs, not required anymore.
   * Making excludes handling simpler, and dropping excluding of kernel
     images for minimal or stripped images (Closes: #586367).
Checksums-Sha1: 
 01d2e83a15afcfcf1d7deb707a840462ccdf445b 1257 live-helper_2.0~a16-1.dsc
 06819c0d6a37247e0df33596ae2d055114af782e 2495076 live-helper_2.0~a16.orig.tar.gz
 3767844a7896f10eb789272ae9a5353cb6514386 32222 live-helper_2.0~a16-1.diff.gz
 0f11042349139167f82e2d2a391cd7849e70ab79 1171382 live-helper_2.0~a16-1_all.deb
Checksums-Sha256: 
 65b41cdea8c13eb52717ac8de66642e91f79e80b10860f3a1ada5cfe1d2fc682 1257 live-helper_2.0~a16-1.dsc
 72b91e3ba504fda152dd186366d5b35cbd4ca146efed5ba975acf60c7e6b0563 2495076 live-helper_2.0~a16.orig.tar.gz
 93004ca8b0598b504635c3237bf2e18eee6540160ae1c0409bca1fe43313cfec 32222 live-helper_2.0~a16-1.diff.gz
 46866fffbe3a9af2642bf32fc917c42deefc6a211e72bbf4078ff018faf03dde 1171382 live-helper_2.0~a16-1_all.deb
Files: 
 07f16a07f31754d8b5ef8ca64cc852e9 1257 misc optional live-helper_2.0~a16-1.dsc
 edab496858b8557430c9a273dfb1a5eb 2495076 misc optional live-helper_2.0~a16.orig.tar.gz
 04613095f6681878b0cdc41e1f2b8cd1 32222 misc optional live-helper_2.0~a16-1.diff.gz
 1cf41a18b3cf9bf317570bc6b08b627e 1171382 misc optional live-helper_2.0~a16-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwin7EACgkQ+C5cwEsrK55pkACgz1kvdC74JZGiumd0xqmi26q8
dKUAnjzmE2h7mZqruj27uFD8TXOmlFJj
=aZ0E
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Aug 2010 07:32:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:45:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.